> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bieapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Image

> This endpoint generates an image from OpenAI's models.



## OpenAPI

````yaml POST /v1/images/generations
openapi: 3.0.1
info:
  title: OpenAI,Claude, Gemini,... Chat
  description: >-
    This API provides access to all models and features of OpenAI's chat
    completion service.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.bieapi.com
security:
  - bearerAuth: []
paths:
  /v1/images/generations:
    post:
      summary: Create an image generation
      description: This endpoint generates an image from OpenAI's models.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                  description: The model to use (e.g., `dall-e-2-mini`).
                prompt:
                  type: string
                  description: Prompt for the image generation.
              required:
                - model
                - prompt
            examples:
              basicExample:
                summary: Basic Request
                value:
                  model: dall-e-3
                  prompt: A painting of a cat.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique ID of the response.
                  object:
                    type: string
                    description: Type of the response object.
                  created:
                    type: integer
                    description: Timestamp of the response creation.
                  image:
                    type: string
                    description: URL of the generated image.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````